ossp-pkg/lmtp2nntp/test/run.sh 1.13 -> 1.14
--- run.sh 2001/09/10 06:55:33 1.13
+++ run.sh 2001/09/11 13:41:22 1.14
@@ -6,24 +6,6 @@
# -h news.ecrc.de
# -h dev16
-before ()
-{
- #set -v -x
- h="H"
- z="Z"
- e="E"
- if [ -e /tmp/tracing ]; then
- rm -f /tmp/tracing
- fi
- touch /tmp/tracing
- chmod 666 /tmp/tracing
- if [ -e /tmp/testmessage ]; then
- rm -f /tmp/testmessage
- fi
- touch /tmp/testmessage
- chmod 666 /tmp/testmessage
-}
-
post1000 ()
{
for h in 0 1 2 3 4 5 6 7 8 9
@@ -45,8 +27,9 @@
{
newmsg lmtp
cat /tmp/testmessage \
- | ../lmtp2nntp -l debug:/tmp/tracing -w 1 -d $1 -g $2 -b 127.0.0.1 -h 127.0.0.1 $3 >/dev/null; echo $?
- #| ../lmtp2nntp -l debug:/tmp/tracing -w 1 -d $1 -g $2 -b dev12 -h dev16,141.1.23.116:nntp -h dev16.de.cw.net:119 $3 >/dev/null; echo $?
+ | ../lmtp2nntp -l $1:$FILE -w 1 -d $2 -g $2 -b dev12 -h dev16,141.1.23.116:nntp -h dev16.de.cw.net:119 $3 >/dev/null; echo $?
+ #| ../lmtp2nntp -l $1:$FILE -w 1 -d 255/2.5.5 -g $3 -b 127.0.0.1 $4 >/dev/null; echo $?
+ #| ../lmtp2nntp -l $1:$FILE -w 1 -d $2 -g $3 -b 127.0.0.1 -h 127.0.0.2 $4 >/dev/null; echo $?
}
sendmaildup()
@@ -79,26 +62,70 @@
fi
echo -----------------------------------------------------------
}
+
+before ()
+{
+ set -v -x
+ h="H"
+ z="Z"
+ e="E"
+
+ if [ -e $FILE ]; then
+ rm -f $FILE
+ fi
+ touch $FILE
+ chmod 666 $FILE
+
+ if [ -e /tmp/testmessage ]; then
+ rm -f /tmp/testmessage
+ fi
+ touch /tmp/testmessage
+ chmod 666 /tmp/testmessage
+
+ if [ -e dmalloc.log ]; then
+ rm -f dmalloc.log
+ fi
+ touch dmalloc.log
+ chmod 666 dmalloc.log
+}
+
after ()
{
- if [ -r /tmp/tracing ]
+ if [ -r $FILE ]
then
- less -S /tmp/tracing
- #tail -f /tmp/tracing
+ read DUMMY
+ less -S $FILE
+ fi
+
+ if [ -r dmalloc.log ]
+ then
+ read DUMMY
+ less -S dmalloc.log
fi
}
+# lmtp notice post arg cw.de.sd.apps.dev.test
+# newmsg sendmail; ls -l /tmp/testmessage && cat /tmp/testmessage
+# lmtp feed arg
+# lmtp post envelope '*.test.* cw.*.dev.*'
+# lmtp post header '*.test.* cw.*.dev.* *foo*'
+# lmtp feed envelope
+# lmtp post envelope
+# sendmaildup
+# post1000
+
+ LOG="notice"
+ FILE="/tmp/tracing"
+GROUP="cw.de.sd.apps.dev.test"
+LOCAL="dev12"
+HOST="dev16,141.1.23.116:nntp -h dev16.de.cw.net:119"
before
-#newmsg sendmail; ls -l /tmp/testmessage && cat /tmp/testmessage
-#lmtp feed arg
-lmtp post arg cw.de.sd.apps.dev.test
-#ok lmtp post envelope '*.test.* cw.*.dev.*'
-#ok lmtp post header '*.test.* cw.*.dev.* *foo*'
-#lmtp feed envelope
-#lmtp post envelope
-#sendmaildup
-#post1000
+newmsg lmtp
+../lmtp2nntp </tmp/testmessage -l $LOG:$FILE -w 1 -d post -g arg -b $LOCAL -h $HOST $GROUP >/dev/null; echo $?
+
+#newmsg sendmail
+# sendmail -i </tmp/testmessage -V nase123baer posting+$GROUP@$LOCAL
after
exit 0
|
|